mdraw_image_text(3m17n)

NAME
mdraw_image_text - Draw an M-text on a window as an image.

SYNOPSIS
int mdraw_image_text (MFrame * frame, MDrawWindow win, int x, int y, MText * mt, int from, int to)

DESCRIPTION
Draw an M-text on a window as an image.

The mdraw_image_text() function draws the text between from and to of M-text mt as image on window win of frame frame at coordinate (x, y).

The way to draw a text is the same as in mdraw_text() except that this function also draws the background with the color specified by faces.

This function is the counterpart of XDrawImageString(), XmbDrawImageString(), and XwcDrawImageString() functions in the X Window System.

RETURN VALUE

    If the operation was successful, mdraw_image_text() returns 0. If an error is detected, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mdraw_text()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.